Description

All DNS methods uses fqdn parameters as the target of the action and the second argument as the attribute that will be set to that

target, e.g.

modules/dns_common/dns_common.rb

def a_record_conflicts(fqdn, ip)

...

end

def create_a_record(fqdn, ip) 

...

end

def ptr_record_conflicts(fqdn, ip)

...

end

 CNAME methods does the opposite, using attribute(fqdn alias) as the first argument and target(fqdn) as a second argument

modules/dns_common/dns_common.rb

def create_cname_record(fqdn, value)

...

end

def cname_record_conflicts(fqdn, target)

...

end

fqdn here actually means the alias we want to attribute to target    

CNAME implementation is only used in dnscmd provider and I imagine that just a few make use of it.

Those which use this API would not have their aliases been set to their hosts.

Probably the provider would raise an error saying the fqdn is been use by an existing entry or the CNAME doesn't exist.

Related issues:

Related to Smart Proxy - Refactor #18398: Use consistent naming of parameters... Ready For Testing02/04/2017

Blocked by Smart Proxy - Feature #17879: Add DNS CNAME entry for nsupdate Resolved 12/29/2016

History

#1 - 12/29/2016 04:18 PM - Guilherme  Maluf Balzana

- Related to Feature #17879: Add DNS CNAME entry for nsupdate added
#2 - 12/29/2016 04:18 PM - Guilherme  Maluf Balzana

- Related to deleted (Feature #17879: Add DNS CNAME entry for nsupdate)

#3 - 12/29/2016 04:19 PM - Guilherme  Maluf Balzana

- Blocked by Feature #17879: Add DNS CNAME entry for nsupdate added

#4 - 12/29/2016 04:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/490 added

#5 - 05/20/2017 10:40 AM - Anonymous

- Related to Refactor #18398: Use consistent naming of parameters in the DNS modules added

#6 - 05/20/2017 10:40 AM - Anonymous

- Status changed from Ready For Testing to Rejected

That PR got cosed, but #18398 opened.
